## catcodec 1.0.0

=== Makefile ===
# $Id: Makefile 17982 2009-11-05 22:33:48Z rubidium $

# This file is part of catcodec.
# catcodec is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2.
# catcodec is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with catcodec. If not, see <http://www.gnu.org/licenses/>.

ifdef VERBOSE
	Q =
else
	Q = @
endif

AWK = "awk"
ROOT_DIR := $(shell pwd)
BUNDLE_DIR = "$(ROOT_DIR)/bundle"
BUNDLES_DIR = "$(ROOT_DIR)/bundles"
CATCODEC = catcodec$(EXTENSION)
OBJS = catcodec.o io.o sample.o rev.o
OS = unknown

CFLAGS += -Wall -Wcast-qual -Wwrite-strings -Wno-multichar
ifdef DEBUG
	CFLAGS += -g -ggdb
endif

all: $(CATCODEC)

%.o: %.cpp
	$(CXX) $(CFLAGS) -c -o $@ $^

$(CATCODEC): $(OBJS)
	$(CXX) $(CFLAGS) -o $@ $^

VERSION := $(shell ./findversion.sh | cut -f 1 -d'	')
RES := $(shell if [ "`cat version.cache 2>/dev/null`" != "$(VERSION)" ]; then echo "$(VERSION)" > version.cache; fi )

rev.cpp: version.cache rev.cpp.in
	$(Q)cat rev.cpp.in | sed "s@\!\!VERSION\!\!@$(VERSION)@g" > rev.cpp

clean:
	rm -f $(OBJS) $(CATCODEC) rev.cpp version.cache

mrproper: clean
	rm -rf $(BUNDLE_DIR) $(BUNDLES_DIR)

include Makefile.bundle

=== debian/changelog ===
catcodec (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #568411)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 04 Feb 2010 17:14:26 +0100

=== debian/control ===
Source: catcodec
Section: devel
Priority: extra
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/catcodec.git
Vcs-Git: git://git.debian.org/collab-maint/catcodec.git
Homepage: http://www.openttd.org/download-catcodec

Package: catcodec
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool to decode/encode the sample catalogue for OpenTTD
 catcodec decodes and encodes sample catalogues for OpenTTD.
 These sample catalogues are not much more than some meta-data
 (description and file name) and raw PCM data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Use debhelper default for all targets (but some are overridden below).
%:
	dh  $@

# Upstream uses make mrproper, which dh_auto_clean doesn't recognize.
override_dh_auto_clean:
	$(MAKE) mrproper

# Upstream has no configure
override_dh_auto_configure:

# Upstream has no install
override_dh_auto_install:
	$(Q)install -d debian/catcodec/usr/bin/
	$(Q)install -m 755 catcodec debian/catcodec/usr/bin/catcodec

## catcodec 1.0.4

=== debian/changelog ===
catcodec (1.0.4-1) unstable; urgency=low

  * [482c4b7] New upstream release 1.0.4.
  * [0ceaa00] Bump Standards-Version to 3.9.2, no changed required.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 04 Aug 2011 21:39:48 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jordi Mallach <jordi@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/catcodec.git
 Vcs-Git: git://git.debian.org/collab-maint/catcodec.git
 Homepage: http://www.openttd.org/download-catcodec

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Use debhelper default for all targets (but some are overridden below).
%:
	dh  $@

# Upstream uses make mrproper, which dh_auto_clean doesn't recognize.
override_dh_auto_clean:
	$(MAKE) mrproper
	# Remove our config file generated in the configure step
	rm -f Makefile.local

override_dh_auto_configure:
	# Default is to install to /usr/local
	echo "prefix=/usr" >> Makefile.local
	# These will be installed by debhelper
	echo "DO_NOT_INSTALL_CHANGELOG=1" >> Makefile.local
	echo "DO_NOT_INSTALL_LICENSE=1" >> Makefile.local

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

options=downloadurlmangle=s/(.*)\/index.html$/\1\/catcodec-\1-source.tar.gz/ \
http://master.binaries.openttd.org/extra/catcodec/ \
(\d+(?:\.\d+)*)/index.html

## catcodec 1.0.5

=== Makefile ===
# $Id: Makefile 22718 2011-08-04 19:23:21Z rubidium $

# =========================================================
# Makefile for the catcodec program
#
#       Don't put any local configuration in here
#       Change Makefile.local instead, it'll be
#       preserved when updating the sources
# =========================================================
#
# catcodec is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2.
# catcodec is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with catcodec. If not, see <http://www.gnu.org/licenses/>.

ifdef VERBOSE
	Q =
else
	Q = @
endif


ROOT_DIR := $(shell pwd)
PACKAGE_NAME = catcodec

-include Makefile.local

AWK          ?= "awk"
BUNDLE_DIR   ?= "$(ROOT_DIR)/bundle"
BUNDLES_DIR  ?= "$(ROOT_DIR)/bundles"
CATCODEC     ?= catcodec$(EXTENSION)
CXXFLAGS     ?= -Wall -Wcast-qual -Wwrite-strings
OS           ?= unknown


OBJS = catcodec.o io.o sample.o rev.o

# Regardless of the warning settings, we really do not want these errors.
CXXFLAGS += -Wno-multichar
ifdef DEBUG
	CXXFLAGS += -g -ggdb
endif

all: $(CATCODEC)

objs/%.o: src/%.cpp
	$(Q)mkdir -p objs
	@echo '[CPP] $@'
	$(Q)$(CXX) $(CXXFLAGS) -c -o $@ $<

$(CATCODEC): $(OBJS:%=objs/%)
	@echo '[LINK] $@'
	$(Q)$(CXX) -o $@ $(CXXFLAGS) $(LDFLAGS) $^

VERSION := $(shell ./findversion.sh | cut -f 1 -d'	')
RES := $(shell if [ "`cat version.cache 2>/dev/null`" != "$(VERSION)" ]; then echo "$(VERSION)" > version.cache; fi )

src/rev.cpp: version.cache src/rev.cpp.in
	$(Q)cat src/rev.cpp.in | sed "s@\!\!VERSION\!\!@$(VERSION)@g" > src/rev.cpp

clean:
	@echo '[CLEAN]'
	$(Q)rm -f $(CATCODEC) rev.cpp version.cache
	$(Q)rm -rf objs

mrproper: clean
	$(Q)rm -rf $(BUNDLE_DIR) $(BUNDLES_DIR)

include Makefile.bundle

=== debian/changelog ===
catcodec (1.0.5-4) unstable; urgency=medium

  * [a3082b7] Update watch file
  * [96cc3c8] Add upstream metadata
  * [ed12aac] Bump debhelper version to v13
  * [bf5d8aa] Support DEB_BUILD_OPTIONS=terse
  * [d32c018] Bump standards version to 4.6.0
  * [f9ba32f] Update upstream homepage and contact
  * [d77b8dd] Set Rules-Requires-Root: no for building

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 23 Nov 2021 16:33:30 +0100

catcodec (1.0.5-3) unstable; urgency=medium

  * [a90b9ad] Bump debhelper version to v11
  * [d4a6034] Bump standards version to 4.1.4
  * [21e21e2] Convert Priority: extra to optional
  * [8b74098] Mark as Multi-arch: foreign

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 10 May 2018 21:39:54 +0200

catcodec (1.0.5-2) unstable; urgency=medium

  * [fd27464] Update watch file, upstream changed download urls.
  * [a4ba1da] Use canonical Vcs urls (on anonscm.debian.org).
  * [e020295] Bump Standards-Version to 3.9.6, no changes required.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 23 Oct 2014 12:28:28 +0200

catcodec (1.0.5-1) unstable; urgency=low

  * [008d309] New upstream release 1.0.5. (Closes: #667128)
  * [45b02cc] Bump Standards-Version to 3.9.3, no changes required.
  * [c02cca6] Enable verbose builds.
  * [8066b72] Raise the debhelper compat level to 9.
  * [c16b293] Enable all hardening options.
  * [1fd7580] Add pass-cppflags.patch to make all hardening work.
  * [8c3bd7a] Update copyright file to use the new copyright-format-1.0.
  * [6f710c1] Add fix-clean-rev-cpp.patch to fix make clean.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 06 Apr 2012 11:13:18 +0200

=== debian/control ===
Source: catcodec
Section: devel
Priority: optional
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/openttd-team/catcodec
Vcs-Git: https://salsa.debian.org/openttd-team/catcodec.git
Homepage: https://github.com/OpenTTD/catcodec
Rules-Requires-Root: no

Package: catcodec
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool to decode/encode the sample catalogue for OpenTTD
 catcodec decodes and encodes sample catalogues for OpenTTD.
 These sample catalogues are not much more than some meta-data
 (description and file name) and raw PCM data.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,16 @@
 
 # Use debhelper default for all targets (but some are overridden below).
 %:
-	dh  $@
+	dh $@
+
+ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
+export VERBOSE=1
+endif
+
+# Enable all hardening options, since we potentially handle untrusted
+# data. Debhelper takes care of calling dpkg-buildflags and exporting
+# all the build flags in the environment automatically.
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # Upstream uses make mrproper, which dh_auto_clean doesn't recognize.
 override_dh_auto_clean:

=== debian/watch ===
version=4

https://www.openttd.org/downloads/catcodec-releases/latest \
.*/catcodec-(\d.*)-source\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
